## org.firebirdsql.pool
Interface PooledConnectionEventListener

All Superinterfaces:
  ConnectionEventListener, EventListener

All Known Implementing Classes:
  AbstractDriverConnectionPoolDataSource, AbstractFBConnectionPoolDataSource, DriverConnectionPoolDataSource, FBConnectionPoolDataSource

    public interface PooledConnectionEventListener

extends ConnectionEventListener

Event listener that is notified about the events in the `PooledConnection`.

Author:
  Roman Rokytskyy

Method Summary
`void` `physicalConnectionClosed(ConnectionEvent event)` Notify listener that `PooledConnection.close()` method is directly invoked by the application.
`void` `physicalConnectionDeallocated(ConnectionEvent event)` Notify listener that `PooledObject.deallocate()` method is invoked by the application.

Methods inherited from interface javax.sql.ConnectionEventListener
`connectionClosed, connectionErrorOccurred`

Method Detail

### physicalConnectionClosed

    void physicalConnectionClosed(ConnectionEvent event)

  Notify listener that `PooledConnection.close()` method is directly invoked by the application.

  Parameters:
    `event` - instance of `ConnectionEvent` containing the instance of `PooledConnection` that generated this event.

### physicalConnectionDeallocated

    void physicalConnectionDeallocated(ConnectionEvent event)

  Notify listener that `PooledObject.deallocate()` method is invoked by the application.

  Parameters:
    `event` - instance of `ConnectionEvent` containing the instance of `PooledObject` that generated this event.

Copyright © 2001-2010. All Rights Reserved.